function xk1 = spmDT(uk,xk,P,Pk,P_ref_batt)
%% Discrete-time structure preserving model
% Inputs:
%   uk      control input u(k)
%   xk      state vector x(k)
%   P       controller parameters (see fmincon_wrapper.m)
%   Pk      load vector P(k)
% Output:
%   xk1     state vector x(k+1)

% Copyright (c) 2018, Andreas Reason Dahl
% All rights reserved. Published under MIT. See LICENSE.txt.
% Please include the reference given in reference.txt whenever using this.

tspan = [0 P.Ts];
[~,y_SPM] = ode15s(@(t,x) spmCT(t,uk,x,P,Pk,P_ref_batt), tspan, xk);
xk1   = y_SPM(end,:)';
end